﻿.appUtilizationFile-tile {
    border: solid 5px rgba(222, 222, 222, 1);
    background-color: rgb(252, 252, 252);
    box-shadow: 0 0 10px rgba(0,0,0,1);
    border-radius: 5px;
    transform: rotateY(0deg);
    transition-duration: 800ms;
    width: 80%;
}

    .appUtilizationFile-tile:after {
        content: "";
        display: block;
        padding-bottom: 100%;
    }

.appUtilizationFile-tile-rotate {
    border: solid 5px rgba(222, 222, 222, 1);
    background-color: rgb(252, 252, 252);
    box-shadow: 0 0 10px rgba(0,0,0,1);
    border-radius: 5px;
    transform: rotateY(180deg);
    transition-duration: 800ms;
    width: 80%;
}

    .appUtilizationFile-tile-rotate:after {
        content: "";
        display: block;
        padding-bottom: 100%;
    }

.appUtilizationFile-tile-content {
    position: absolute;
    width: 100%;
    height: 100%;
}

.appUtilizationFile-grid-container-tile-front {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 15% 80% 5%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appUtilizationFile-grid-container-tile-back {
    display: none;
    transform: rotateY(180deg);
    grid-template-columns: 100%;
    grid-template-rows: 10% 90% 50%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appUtilizationFile-grid-container-tile-header {
    display: grid;
    grid-template-columns: max-content max-content max-content auto 10%;
    grid-column-gap: 2%;
    margin-left: 2%;
}

.appUtilizationFile-tile-config {
    height: 100%;
    width: 100%;
    border-radius: 50%;
    display: inline-block;
    background-color: transparent;
    color: gray;
    text-align: center;
    cursor: pointer;
    margin-left: 10%;
    margin-top: 10%;
}

.appUtilizationFile-grid-container-tile-content-front {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 25% 25% 15% 35%;
    background-color: transparent;
    height: 100%;
    width: 100%;
    cursor: pointer;
}

.appUtilizationFile-grid-container-tile-values-front {
    display: grid;
    background-color: transparent;
    width: 100%;
    height: 100%;
    cursor: pointer;
    justify-content: center;
}


.appUtilizationFile-grid-container-tile-content-back {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 25% 25% 50%;
    background-color: transparent;
    height: 100%;
    width: 100%;
    cursor: pointer;
}

.appUtilizationFile-glyphicon {
    color: gray;
    background-color: transparent;
    padding-top: 15%;
}

.appUtilizationFile-glyphicon-close {
    color: gray;
    background-color: transparent;
    height: 120%;
    width: 120%;
    margin-top: -10%;
}

.appUtilizationFile-grid-container-config {
    display: grid;
    grid-template-columns: 50% 50%;
    background-color: transparent;
    width: 100%;
}

.appUtilizationFile-grid-container-config-header {
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appUtilizationFile-grid-container-col-config {
    display: grid;
    grid-template-columns: 10% 2% 17% 2% 17% 2% 31% 2% 17%;
    background-color: transparent;
}

.appUtilizationFile-grid-container-chart-header {
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appUtilizationFile-grid-container-chart-date-selection {
    display: grid;
    grid-template-columns: 3% 3% 1% 5% 1% 10% 1% 20% auto;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 50%;
}

.appUtilizationFile-grid-container-chart-content {
    display: grid;
    grid-template-columns: 70% 30%;
    grid-template-rows: 6vh 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appUtilizationFile-grid-container-chart-frame-barHor-option {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 100%;
    padding-left: 50px;
    padding-right: 20px;
    height: 100%;
    width: 100%;
    overflow-x:auto;
    overflow-y:auto;
}

.appUtilizationFile-grid-container-chart-barHor-option {
    display: grid;
    align-self: center;
}

.appUtilizationFile-grid-container-chart-legend-barHor-option {
    grid-template-columns: 50% 25% 25%;
    grid-template-rows: 12.5% 12.5% 12.5% 12.5% 12.5% 12.5%;
}

.appUtilizationFile-dot-last-state-chart-line-option {
    height: 0.8vw;
    width: 0.8vw;
    border-radius: 50%;
    display: inline-block;
}

.appUtilizationFile-grid-container-chart-current-values-line-option {
    display: grid;
    align-self: center;
}

.appUtilizationFile-grid-container-chart-total-item-line-option {
    display: grid;
    grid-template-columns: 50% 50%;
}

.appUtilizationFile-grid-container-chart-legend-line-option {
    grid-template-columns: 50% 25% 25%;
    grid-template-rows: 12.5% 12.5% 12.5% 12.5% 12.5% 12.5%;
}

.appUtilizationFile-grid-container-chart-content-line-option {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 20% 50% 20%;
    padding-left: 80px;
    padding-right: 20px;
    height: 100%;
    width: 100%;
}